#pragma once
#include "DeerRender/Events/Event.h"

int main(int, char**);

namespace Deer {
	namespace DeerStudio {
		void onRender(Timestep delta);
		void onUpdate(Timestep delta);
		
		void onEvent(Event& e);
	}
}
